// scss-lint:disable Comment ZeroUnit
/*
SCSS variables are information about icon's compiled state, stored under its original file name

.icon-home {
  width: $icon-home-width;
}

The large array-like variables contain all information about a single icon
$icon-home: x y offset_x offset_y width height total_width total_height image_path;

At the bottom of this section, we provide information about the spritesheet itself
$spritesheet: width height image $spritesheet-sprites;
*/
$leaf-name: 'leaf';
$leaf-x: 800px;
$leaf-y: 122px;
$leaf-offset-x: -800px;
$leaf-offset-y: -122px;
$leaf-width: 72px;
$leaf-height: 57px;
$leaf-total-width: 983px;
$leaf-total-height: 529px;
$leaf-image: '../img/sprite.png';
$leaf: (800px, 122px, -800px, -122px, 72px, 57px, 983px, 529px, '../img/sprite.png', 'leaf');
$logo-footer-name: 'logo-footer';
$logo-footer-x: 450px;
$logo-footer-y: 122px;
$logo-footer-offset-x: -450px;
$logo-footer-offset-y: -122px;
$logo-footer-width: 345px;
$logo-footer-height: 76px;
$logo-footer-total-width: 983px;
$logo-footer-total-height: 529px;
$logo-footer-image: '../img/sprite.png';
$logo-footer: (450px, 122px, -450px, -122px, 345px, 76px, 983px, 529px, '../img/sprite.png', 'logo-footer');
$logo-header-name: 'logo-header';
$logo-header-x: 450px;
$logo-header-y: 0px;
$logo-header-offset-x: -450px;
$logo-header-offset-y: 0px;
$logo-header-width: 533px;
$logo-header-height: 117px;
$logo-header-total-width: 983px;
$logo-header-total-height: 529px;
$logo-header-image: '../img/sprite.png';
$logo-header: (450px, 0px, -450px, 0px, 533px, 117px, 983px, 529px, '../img/sprite.png', 'logo-header');
$logo-senasica-name: 'logo-senasica';
$logo-senasica-x: 0px;
$logo-senasica-y: 0px;
$logo-senasica-offset-x: 0px;
$logo-senasica-offset-y: 0px;
$logo-senasica-width: 445px;
$logo-senasica-height: 282px;
$logo-senasica-total-width: 983px;
$logo-senasica-total-height: 529px;
$logo-senasica-image: '../img/sprite.png';
$logo-senasica: (0px, 0px, 0px, 0px, 445px, 282px, 983px, 529px, '../img/sprite.png', 'logo-senasica');
$productos-engorda-name: 'productos-engorda';
$productos-engorda-x: 0px;
$productos-engorda-y: 287px;
$productos-engorda-offset-x: 0px;
$productos-engorda-offset-y: -287px;
$productos-engorda-width: 242px;
$productos-engorda-height: 242px;
$productos-engorda-total-width: 983px;
$productos-engorda-total-height: 529px;
$productos-engorda-image: '../img/sprite.png';
$productos-engorda: (0px, 287px, 0px, -287px, 242px, 242px, 983px, 529px, '../img/sprite.png', 'productos-engorda');
$productos-larva-name: 'productos-larva';
$productos-larva-x: 247px;
$productos-larva-y: 287px;
$productos-larva-offset-x: -247px;
$productos-larva-offset-y: -287px;
$productos-larva-width: 242px;
$productos-larva-height: 242px;
$productos-larva-total-width: 983px;
$productos-larva-total-height: 529px;
$productos-larva-image: '../img/sprite.png';
$productos-larva: (247px, 287px, -247px, -287px, 242px, 242px, 983px, 529px, '../img/sprite.png', 'productos-larva');
$productos-nauplio-name: 'productos-nauplio';
$productos-nauplio-x: 494px;
$productos-nauplio-y: 287px;
$productos-nauplio-offset-x: -494px;
$productos-nauplio-offset-y: -287px;
$productos-nauplio-width: 242px;
$productos-nauplio-height: 242px;
$productos-nauplio-total-width: 983px;
$productos-nauplio-total-height: 529px;
$productos-nauplio-image: '../img/sprite.png';
$productos-nauplio: (494px, 287px, -494px, -287px, 242px, 242px, 983px, 529px, '../img/sprite.png', 'productos-nauplio');
$productos-reproductores-name: 'productos-reproductores';
$productos-reproductores-x: 741px;
$productos-reproductores-y: 287px;
$productos-reproductores-offset-x: -741px;
$productos-reproductores-offset-y: -287px;
$productos-reproductores-width: 242px;
$productos-reproductores-height: 242px;
$productos-reproductores-total-width: 983px;
$productos-reproductores-total-height: 529px;
$productos-reproductores-image: '../img/sprite.png';
$productos-reproductores: (741px, 287px, -741px, -287px, 242px, 242px, 983px, 529px, '../img/sprite.png', 'productos-reproductores');
$leaf-2x-name: 'leaf@2x';
$leaf-2x-x: 1600px;
$leaf-2x-y: 244px;
$leaf-2x-offset-x: -1600px;
$leaf-2x-offset-y: -244px;
$leaf-2x-width: 144px;
$leaf-2x-height: 114px;
$leaf-2x-total-width: 1966px;
$leaf-2x-total-height: 1058px;
$leaf-2x-image: '../img/sprite@2x.png';
$leaf-2x: (1600px, 244px, -1600px, -244px, 144px, 114px, 1966px, 1058px, '../img/sprite@2x.png', 'leaf@2x');
$logo-footer-2x-name: 'logo-footer@2x';
$logo-footer-2x-x: 900px;
$logo-footer-2x-y: 244px;
$logo-footer-2x-offset-x: -900px;
$logo-footer-2x-offset-y: -244px;
$logo-footer-2x-width: 690px;
$logo-footer-2x-height: 152px;
$logo-footer-2x-total-width: 1966px;
$logo-footer-2x-total-height: 1058px;
$logo-footer-2x-image: '../img/sprite@2x.png';
$logo-footer-2x: (900px, 244px, -900px, -244px, 690px, 152px, 1966px, 1058px, '../img/sprite@2x.png', 'logo-footer@2x');
$logo-header-2x-name: 'logo-header@2x';
$logo-header-2x-x: 900px;
$logo-header-2x-y: 0px;
$logo-header-2x-offset-x: -900px;
$logo-header-2x-offset-y: 0px;
$logo-header-2x-width: 1066px;
$logo-header-2x-height: 234px;
$logo-header-2x-total-width: 1966px;
$logo-header-2x-total-height: 1058px;
$logo-header-2x-image: '../img/sprite@2x.png';
$logo-header-2x: (900px, 0px, -900px, 0px, 1066px, 234px, 1966px, 1058px, '../img/sprite@2x.png', 'logo-header@2x');
$logo-senasica-2x-name: 'logo-senasica@2x';
$logo-senasica-2x-x: 0px;
$logo-senasica-2x-y: 0px;
$logo-senasica-2x-offset-x: 0px;
$logo-senasica-2x-offset-y: 0px;
$logo-senasica-2x-width: 890px;
$logo-senasica-2x-height: 564px;
$logo-senasica-2x-total-width: 1966px;
$logo-senasica-2x-total-height: 1058px;
$logo-senasica-2x-image: '../img/sprite@2x.png';
$logo-senasica-2x: (0px, 0px, 0px, 0px, 890px, 564px, 1966px, 1058px, '../img/sprite@2x.png', 'logo-senasica@2x');
$productos-engorda-2x-name: 'productos-engorda@2x';
$productos-engorda-2x-x: 0px;
$productos-engorda-2x-y: 574px;
$productos-engorda-2x-offset-x: 0px;
$productos-engorda-2x-offset-y: -574px;
$productos-engorda-2x-width: 484px;
$productos-engorda-2x-height: 484px;
$productos-engorda-2x-total-width: 1966px;
$productos-engorda-2x-total-height: 1058px;
$productos-engorda-2x-image: '../img/sprite@2x.png';
$productos-engorda-2x: (0px, 574px, 0px, -574px, 484px, 484px, 1966px, 1058px, '../img/sprite@2x.png', 'productos-engorda@2x');
$productos-larva-2x-name: 'productos-larva@2x';
$productos-larva-2x-x: 494px;
$productos-larva-2x-y: 574px;
$productos-larva-2x-offset-x: -494px;
$productos-larva-2x-offset-y: -574px;
$productos-larva-2x-width: 484px;
$productos-larva-2x-height: 484px;
$productos-larva-2x-total-width: 1966px;
$productos-larva-2x-total-height: 1058px;
$productos-larva-2x-image: '../img/sprite@2x.png';
$productos-larva-2x: (494px, 574px, -494px, -574px, 484px, 484px, 1966px, 1058px, '../img/sprite@2x.png', 'productos-larva@2x');
$productos-nauplio-2x-name: 'productos-nauplio@2x';
$productos-nauplio-2x-x: 988px;
$productos-nauplio-2x-y: 574px;
$productos-nauplio-2x-offset-x: -988px;
$productos-nauplio-2x-offset-y: -574px;
$productos-nauplio-2x-width: 484px;
$productos-nauplio-2x-height: 484px;
$productos-nauplio-2x-total-width: 1966px;
$productos-nauplio-2x-total-height: 1058px;
$productos-nauplio-2x-image: '../img/sprite@2x.png';
$productos-nauplio-2x: (988px, 574px, -988px, -574px, 484px, 484px, 1966px, 1058px, '../img/sprite@2x.png', 'productos-nauplio@2x');
$productos-reproductores-2x-name: 'productos-reproductores@2x';
$productos-reproductores-2x-x: 1482px;
$productos-reproductores-2x-y: 574px;
$productos-reproductores-2x-offset-x: -1482px;
$productos-reproductores-2x-offset-y: -574px;
$productos-reproductores-2x-width: 484px;
$productos-reproductores-2x-height: 484px;
$productos-reproductores-2x-total-width: 1966px;
$productos-reproductores-2x-total-height: 1058px;
$productos-reproductores-2x-image: '../img/sprite@2x.png';
$productos-reproductores-2x: (1482px, 574px, -1482px, -574px, 484px, 484px, 1966px, 1058px, '../img/sprite@2x.png', 'productos-reproductores@2x');
$spritesheet-width: 983px;
$spritesheet-height: 529px;
$spritesheet-image: '../img/sprite.png';
$spritesheet-sprites: ($leaf, $logo-footer, $logo-header, $logo-senasica, $productos-engorda, $productos-larva, $productos-nauplio, $productos-reproductores);
$spritesheet: (983px, 529px, '../img/sprite.png', $spritesheet-sprites);
$retina-spritesheet-width: 1966px;
$retina-spritesheet-height: 1058px;
$retina-spritesheet-image: '../img/sprite@2x.png';
$retina-spritesheet-sprites: ($leaf-2x, $logo-footer-2x, $logo-header-2x, $logo-senasica-2x, $productos-engorda-2x, $productos-larva-2x, $productos-nauplio-2x, $productos-reproductores-2x);
$retina-spritesheet: (1966px, 1058px, '../img/sprite@2x.png', $retina-spritesheet-sprites);

/*
These "retina group" variables are mappings for the naming and pairing of normal and retina sprites.

The list formatted variables are intended for mixins like `retina-sprite` and `retina-sprites`.
*/
$leaf-group-name: 'leaf';
$leaf-group: ('leaf', $leaf, $leaf-2x);
$logo-footer-group-name: 'logo-footer';
$logo-footer-group: ('logo-footer', $logo-footer, $logo-footer-2x);
$logo-header-group-name: 'logo-header';
$logo-header-group: ('logo-header', $logo-header, $logo-header-2x);
$logo-senasica-group-name: 'logo-senasica';
$logo-senasica-group: ('logo-senasica', $logo-senasica, $logo-senasica-2x);
$productos-engorda-group-name: 'productos-engorda';
$productos-engorda-group: ('productos-engorda', $productos-engorda, $productos-engorda-2x);
$productos-larva-group-name: 'productos-larva';
$productos-larva-group: ('productos-larva', $productos-larva, $productos-larva-2x);
$productos-nauplio-group-name: 'productos-nauplio';
$productos-nauplio-group: ('productos-nauplio', $productos-nauplio, $productos-nauplio-2x);
$productos-reproductores-group-name: 'productos-reproductores';
$productos-reproductores-group: ('productos-reproductores', $productos-reproductores, $productos-reproductores-2x);
$retina-groups: ($leaf-group, $logo-footer-group, $logo-header-group, $logo-senasica-group, $productos-engorda-group, $productos-larva-group, $productos-nauplio-group, $productos-reproductores-group);

/*
The provided mixins are intended to be used with the array-like variables

.icon-home {
  @include sprite-width($icon-home);
}

.icon-email {
  @include sprite($icon-email);
}

Example usage in HTML:

`display: block` sprite:
<div class="icon-home"></div>

To change `display` (e.g. `display: inline-block;`), we suggest using a common CSS class:

// CSS
.icon {
  display: inline-block;
}

// HTML
<i class="icon icon-home"></i>
*/
@mixin sprite-width($sprite) {
  width: nth($sprite, 5);
}

@mixin sprite-height($sprite) {
  height: nth($sprite, 6);
}

@mixin sprite-position($sprite) {
  $sprite-offset-x: nth($sprite, 3);
  $sprite-offset-y: nth($sprite, 4);
  background-position: $sprite-offset-x  $sprite-offset-y;
}

@mixin sprite-image($sprite) {
  $sprite-image: nth($sprite, 9);
  background-image: url(#{$sprite-image});
}

@mixin sprite($sprite) {
  @include sprite-image($sprite);
  @include sprite-position($sprite);
  @include sprite-width($sprite);
  @include sprite-height($sprite);
}

/*
The `retina-sprite` mixin sets up rules and a media query for a sprite/retina sprite.
  It should be used with a "retina group" variable.

The media query is from CSS Tricks: https://css-tricks.com/snippets/css/retina-display-media-query/

$icon-home-group: ('icon-home', $icon-home, $icon-home-2x);

.icon-home {
  @include retina-sprite($icon-home-group);
}
*/
@mixin sprite-background-size($sprite) {
  $sprite-total-width: nth($sprite, 7);
  $sprite-total-height: nth($sprite, 8);
  background-size: $sprite-total-width $sprite-total-height;
}

@mixin retina-sprite($retina-group) {
  $normal-sprite: nth($retina-group, 2);
  $retina-sprite: nth($retina-group, 3);
  @include sprite($normal-sprite);

  @media (-webkit-min-device-pixel-ratio: 2),
         (min-resolution: 192dpi) {
    @include sprite-image($retina-sprite);
    @include sprite-background-size($normal-sprite);
  }
}

/*
The `sprites` mixin generates identical output to the CSS template
  but can be overridden inside of SCSS

@include sprites($spritesheet-sprites);
*/
@mixin sprites($sprites) {
  @each $sprite in $sprites {
    $sprite-name: nth($sprite, 10);

    .#{$sprite-name} {
      @include sprite($sprite);
    }
  }
}

/*
The `retina-sprites` mixin generates a CSS rule and media query for retina groups
  This yields the same output as CSS retina template but can be overridden in SCSS

@include retina-sprites($retina-groups);
*/
@mixin retina-sprites($retina-groups) {
  @each $retina-group in $retina-groups {
    $sprite-name: nth($retina-group, 1);

    .#{$sprite-name} {
      @include retina-sprite($retina-group);
    }
  }
}
// scss-lint:enable Comment ZeroUnit
